// blokada SBL 4-stawna odchylona glowica - semafor przedostatni przed wjazdowym
// (p1) - nazwa, (p2)(p3)(p4) - lokacja, (p5) rotacja, (p6) symbol (p7) sterowanie poprzednim semaforem sbl (jego nazwa)
// uwaga - do toru za semaforem musi byc przypiane zdarzenie NAZWASEMAFORA_s1
// a do toru przy semaforze oczywiscie zdarzenie NAZWASEMAFORA_sem_info

origin (p2) (p3) (p4)
rotate 0 (p5) 0
//model semafora 3komorowego blokady liniowej:
node -1 0 (p1) model -0.45 0.17 0 0 PKP/head3-gry.t3d PKP/SBL/(p6) Lights 1 0 0 endmodel                  //glowica 
node -1 0 none model 0 0 0 0 PKP/post-Y-h3.t3d PKP/pkplight_sblpost.tga endmodel          //slup+drabinka

node 800 150 none lines 110 110 110  100.0                                      //linia zeby byl maszt widoczny z daleka
0.0 0.0 0.0	0.0 3.0 0.0 
endline

// W1 awers
node -1 0 none triangle_strip material ambient: 150.0 150.0 150.0 diffuse: 220.0 220.0 220.0 specular: 154.0 154.0 154.0  endmaterial pkp/wskazniki2.BMP
0.4 1.6 0.1 	0.0 0.0 -1.0  0.00269513 0.756031 end
0.4 0.1 0.1 	0.0 0.0 -1.0  0.00269479 0.3411 end
-0.4 1.6 0.1 	0.0 0.0 -1.0  0.180528 0.75603 end
-0.4 0.1 0.1 	0.0 0.0 -1.0  0.182 0.3411 
endtri

// W1 rewers
node -1 0 none triangle_strip material ambient: 150.0 150.0 150.0 diffuse: 220.0 220.0 220.0 specular: 154.0 154.0 154.0  endmaterial pkp/wskazniki2.BMP
-0.4 1.6 0.2 	0 0 1.0  0.739943 0.748875 end
-0.4 0.1 0.2 	0 0 1.0  0.736632 0.34058 end
0.4 1.6 0.2 	0 0 1.0  0.99848 0.749202 end
0.4 0.1 0.2 	0 0 1.0  0.996336 0.341726 
endtri

rotate 0 0 0
endorigin

node -1 0 (p1)_sem_mem memcell (p2) (p3) (p4) SetVelocity -1 -1  none endmemcell

//zdarzenia okreslajace predkosc przy tym semaforze
event (p1)_sem_info_stop updatevalues 1.0 (p1)_sem_mem SetVelocity 0.0 20 endevent
event (p1)_sem_info_vmax updatevalues 1.0 (p1)_sem_mem SetVelocity -1 -1 endevent
event (p1)_sem_info_nextstop updatevalues 1.0 (p1)_sem_mem SetVelocity -1 0 endevent
event (p1)_sem_info_nextslow updatevalues 1.0 (p1)_sem_mem SetVelocity 160 100 endevent

//czerwone (tylko gdy sie swieci inne niz czerwone)
event (p1)_s1 multiple 2 (p1)_sem_mem (p1)_sem_ligh0 (p1)_sem_ligh1 (p1)_sem_info_stop (p7)_s5 condition memcompare * -1 * endevent
event (p1)_sem_ligh1 lights 1 (p1) 0 1 0 endevent

//zielone (tylko gdy sie swieci zielone migajace)
event (p1)_s2 multiple 2 (p1)_sem_mem (p1)_sem_ligh0 (p1)_sem_ligh2 (p1)_sem_info_vmax  condition memcompare * 160 100 endevent
event (p1)_sem_ligh2 lights 1 (p1) 1 0 0 endevent

//zielone migajace (tylko gdy swieci sie zolte)
event (p1)_s3 multiple 2 (p1)_sem_mem (p1)_sem_ligh0 (p1)_sem_ligh3 (p1)_sem_info_nextslow (p7)_s2 condition memcompare * -1 0 endevent
event (p1)_sem_ligh3 lights 1 (p1) 2 0 0 endevent

//zolte (tylko gdy sie swieci czerwone)
event (p1)_s5 multiple 2 (p1)_sem_mem (p1)_sem_ligh0 (p1)_sem_ligh5 (p1)_sem_info_nextstop (p7)_s3 condition memcompare * 0 20 endevent
event (p1)_sem_ligh5 lights 1 (p1) 0 0 1 endevent


//odczyt z pamieci (zdarzenie przypisane do toru przy semaforze):
event (p1)_sem_info getvalues 5.0 (p1)_sem_mem endevent

//dodatkowo mozliwosc wygaszenia tego i poprzednich semaforow:
event (p1)_ciemny multiple 20 none (p1)_sem_ligh0 (p1)_sem_info_vmax (p7)_ciemny endevent
event (p1)_sem_ligh0 lights 0.0 (p1) 0 0 0 endevent
